Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456015 - gdm-simple-greeter: Gdk-CRITICAL: get_monitor: assertion `monitor_num < screen_x11->n_monitors' failed
Summary: gdm-simple-greeter: Gdk-CRITICAL: get_monitor: assertion `monitor_num < scree...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa
Version: rawhide
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-20 18:39 UTC by Jonathan Kamens
Modified: 2018-04-11 06:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-21 20:19:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 246585 None None None Never

Description Jonathan Kamens 2008-07-20 18:39:58 UTC
The error above showed up in my log whenever I tried to start the X server after
upgrading to xorg-x11-drv-vesa-2.0.0-1.fc10.i386.rpm.  Downgrading to
1.3.0-14.20080404.fc9.i386 solved the problem.  I have almost all other packages
current from Rawhide.  If you Google for that error you will see that the Ubuntu
folks encountered it at well, although I didn't dig deeply enough to understand
exactly how they addressed it.

Comment 1 Matěj Cepl 2008-07-22 07:47:05 UTC
Ubuntu bug is
https://bugs.launchpad.net/debian/+source/xserver-xorg-video-vesa/+bug/246585
Developers there claim that ajax's patch in XServer, fixes this. Wondering
whether plain yum upgrade xorg* wouldn't save you.

However, it seems to be known even with openchrome as well (I had to to Google
Cache for it, the wiki itself seems to be down)
http://wiki.openchrome.org/tikiwiki/tiki-view_forum_thread.php?comments_parentId=5334&topics_threshold=0&topics_offset=21&topics_sort_mode=hits_desc&topics_find=&forumId=1
Where on the other hand author claims vesa driver to work well.

So, could you please upgrade once more and take a look whether it hasn't been
fixed in meantime?

Comment 2 Matěj Cepl 2008-09-18 15:49:10 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 3 Matěj Cepl 2008-10-21 20:19:42 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.